Debian Bug report logs - #558389
python-qt4: Shouldn't this package support Python3?

version graph

Package: python-qt4; Maintainer for python-qt4 is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-qt4 is src:python-qt4.

Reported by: James Winterburn <internationalsuperstars@gmail.com>

Date: Sat, 28 Nov 2009 14:18:01 UTC

Severity: important

Found in version python-qt4/4.6-1

Fixed in version python-qt4/4.9-1

Done: Scott Kitterman <scott@kitterman.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, internationalsuperstars@gmail.com, doko@debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#558389; Package python-qt4. (Sat, 28 Nov 2009 14:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Winterburn <internationalsuperstars@gmail.com>:
New Bug report received and forwarded. Copy sent to internationalsuperstars@gmail.com, doko@debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 28 Nov 2009 14:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Winterburn <internationalsuperstars@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-qt4: Shouldn't this package support Python3?
Date: Sat, 28 Nov 2009 23:14:32 +0900
Package: python-qt4
Version: 4.6-1
Severity: important

Using the Python3.1 package in experimental I can't import this module (the module PyQt4 isn't found). Hasn't support for Python3 been added upstream many many months ago?

No offence, but why is Debian so ridiculously late to support anything related to python3? )=



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-qt4 depends on:
ii  libc6                         2.10.2-2   GNU C Library: Shared libraries
ii  libgcc1                       1:4.4.2-3  GCC support library
ii  libqt4-assistant              4:4.5.3-4  Qt 4 assistant module
ii  libqt4-designer               4:4.5.3-4  Qt 4 designer module
ii  libqt4-help                   4:4.5.3-4  Qt 4 help module
ii  libqt4-network                4:4.5.3-4  Qt 4 network module
ii  libqt4-script                 4:4.5.3-4  Qt 4 script module
ii  libqt4-scripttools            4:4.5.3-4  Qt 4 script tools module
ii  libqt4-svg                    4:4.5.3-4  Qt 4 SVG module
ii  libqt4-test                   4:4.5.3-4  Qt 4 test module
ii  libqt4-webkit                 4:4.5.3-4  Qt 4 WebKit module
ii  libqt4-xml                    4:4.5.3-4  Qt 4 XML module
ii  libqt4-xmlpatterns            4:4.5.3-4  Qt 4 XML patterns module
ii  libqtcore4                    4:4.5.3-4  Qt 4 core module
ii  libqtgui4                     4:4.5.3-4  Qt 4 GUI module
ii  libstdc++6                    4.4.2-3    The GNU Standard C++ Library v3
ii  python                        2.5.4-2    An interactive high-level object-o
ii  python-elementtree            1.2.6-14   Light-weight toolkit for XML proce
ii  python-sip4                   4.9-1      Python/C++ bindings generator runt
ii  python-support                1.0.4      automated rebuilding support for P
ii  python2.5                     2.5.4-3    An interactive high-level object-o




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#558389; Package python-qt4. (Fri, 30 Apr 2010 02:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to 558389@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 30 Apr 2010 02:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 558389@bugs.debian.org (full text, mbox):

From: "Per W." <debian.perfide@safersignup.com>
To: James Winterburn <internationalsuperstars@gmail.com>
Cc: 558389@bugs.debian.org, Torsten Marek <shlomme@debian.org>
Subject: python-qt4: Shouldn't this package support Python3?
Date: Fri, 30 Apr 2010 04:08:39 +0200
[Message part 1 (text/plain, inline)]
> Hasn't support for Python3 been added upstream many many months ago?

In June 2009.
5 months before your bug-report.
10 months from now.
Not "many many months" but "many months"...

> No offence, but why is Debian so ridiculously late to support anything related to python3?

Perhaps because you did not fix it.


For py3-support in python-qt4 we need to add py3-support to python-sip
first!
The needed changes are minimal. With the attached files you can create
py3 compatible packages.

I added the string "3.1" to the PYTHONS variable in the debian/rules files.
This is a ugly hack, because it does not work with Python 3.2!

We need to create py3 versions off "/usr/bin/pyversions" and
"/usr/share/python/debian_defaults" or something like that!


[python-sip_4.10.2-1.1~px1.debdiff (text/plain, attachment)]
[python-qt4_4.7.3-1.1~px1.debdiff (text/plain, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added blocking bug(s) of 558389: 587072 Request was from "Per W." <debbugs.perfide@safersignup.com> to control@bugs.debian.org. (Fri, 25 Jun 2010 02:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#558389; Package python-qt4. (Wed, 15 Dec 2010 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Victor Stinner <victor.stinner@haypocalc.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 15 Dec 2010 10:21:03 GMT) Full text and rfc822 format available.

Message #17 received at 558389@bugs.debian.org (full text, mbox):

From: Victor Stinner <victor.stinner@haypocalc.com>
To: 558389@bugs.debian.org
Subject: What's up?
Date: Wed, 15 Dec 2010 11:18:44 +0100
Hi, Python3 support is still missing. I look like the following package 
supports Python3, do you plan to integrate it?
http://mentors.debian.net/cgi-bin/sponsor-
pkglist?action=details;package=python-qt4

python-qt4 of Debian Sid (4.7.3) becomes also a little bit old. There are now 
PyQt 4.7.4, 4.7.5, 4.7.6 4.7.7, 4.8 and 4.8.1. It looks like 4.7.4 now raises 
Python exceptions on an invalid signal connections. I like this behaviour 
because it helps to debug an application.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#558389; Package python-qt4. (Wed, 15 Dec 2010 13:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <scott@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 15 Dec 2010 13:12:03 GMT) Full text and rfc822 format available.

Message #22 received at 558389@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: Victor Stinner <victor.stinner@haypocalc.com>, 558389@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#558389: What's up?
Date: Wed, 15 Dec 2010 08:09:58 -0500
[Message part 1 (text/plain, inline)]
Squeeze is frozen and won't be updated before release.  I do aim to have 
Python 3 support available for PyQt in Unstable soon after it releases.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#558389; Package python-qt4. (Thu, 14 Apr 2011 10:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nikita V. Youshchenko" <yoush@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Thu, 14 Apr 2011 10:57:08 GMT) Full text and rfc822 format available.

Message #27 received at 558389@bugs.debian.org (full text, mbox):

From: "Nikita V. Youshchenko" <yoush@debian.org>
To: 558389@bugs.debian.org
Subject: Status?
Date: Thu, 14 Apr 2011 14:45:23 +0400
> Squeeze is frozen and won't be updated before release.  I do aim to have 
> Python 3 support available for PyQt in Unstable soon after it releases.

Squeeze is released months ago.
What is the status of this issue?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#558389; Package python-qt4. (Fri, 27 May 2011 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 27 May 2011 17:12:03 GMT) Full text and rfc822 format available.

Message #32 received at 558389@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 558389@bugs.debian.org
Date: Fri, 27 May 2011 21:08:19 +0400
Since there is work in Sid/Oneiric on moving to Python 3 by default,
we really need a package for python3-qt4.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#558389; Package python-qt4. (Tue, 13 Sep 2011 01:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Gava <stephen.gava@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 13 Sep 2011 01:42:03 GMT) Full text and rfc822 format available.

Message #37 received at 558389@bugs.debian.org (full text, mbox):

From: Stephen Gava <stephen.gava@gmail.com>
To: 558389@bugs.debian.org
Subject: update please
Date: Tue, 13 Sep 2011 11:38:57 +1000
hi,

could we please get an update on this?

cheers,
stephen.




Reply sent to Scott Kitterman <scott@kitterman.com>:
You have taken responsibility. (Wed, 28 Dec 2011 23:33:14 GMT) Full text and rfc822 format available.

Notification sent to James Winterburn <internationalsuperstars@gmail.com>:
Bug acknowledged by developer. (Wed, 28 Dec 2011 23:33:14 GMT) Full text and rfc822 format available.

Message #42 received at 558389-close@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 558389-close@bugs.debian.org
Subject: Bug#558389: fixed in python-qt4 4.9-1
Date: Wed, 28 Dec 2011 23:32:47 +0000
Source: python-qt4
Source-Version: 4.9-1

We believe that the bug you reported is fixed in the latest version of
python-qt4, which is due to be installed in the Debian FTP archive:

pyqt4-dev-tools_4.9-1_i386.deb
  to main/p/python-qt4/pyqt4-dev-tools_4.9-1_i386.deb
python-qt4-dbg_4.9-1_i386.deb
  to main/p/python-qt4/python-qt4-dbg_4.9-1_i386.deb
python-qt4-dbus-dbg_4.9-1_i386.deb
  to main/p/python-qt4/python-qt4-dbus-dbg_4.9-1_i386.deb
python-qt4-dbus_4.9-1_i386.deb
  to main/p/python-qt4/python-qt4-dbus_4.9-1_i386.deb
python-qt4-dev_4.9-1_all.deb
  to main/p/python-qt4/python-qt4-dev_4.9-1_all.deb
python-qt4-doc_4.9-1_all.deb
  to main/p/python-qt4/python-qt4-doc_4.9-1_all.deb
python-qt4-gl-dbg_4.9-1_i386.deb
  to main/p/python-qt4/python-qt4-gl-dbg_4.9-1_i386.deb
python-qt4-gl_4.9-1_i386.deb
  to main/p/python-qt4/python-qt4-gl_4.9-1_i386.deb
python-qt4-phonon-dbg_4.9-1_i386.deb
  to main/p/python-qt4/python-qt4-phonon-dbg_4.9-1_i386.deb
python-qt4-phonon_4.9-1_i386.deb
  to main/p/python-qt4/python-qt4-phonon_4.9-1_i386.deb
python-qt4-sql-dbg_4.9-1_i386.deb
  to main/p/python-qt4/python-qt4-sql-dbg_4.9-1_i386.deb
python-qt4-sql_4.9-1_i386.deb
  to main/p/python-qt4/python-qt4-sql_4.9-1_i386.deb
python-qt4_4.9-1.debian.tar.gz
  to main/p/python-qt4/python-qt4_4.9-1.debian.tar.gz
python-qt4_4.9-1.dsc
  to main/p/python-qt4/python-qt4_4.9-1.dsc
python-qt4_4.9-1_i386.deb
  to main/p/python-qt4/python-qt4_4.9-1_i386.deb
python-qt4_4.9.orig.tar.gz
  to main/p/python-qt4/python-qt4_4.9.orig.tar.gz
python3-pyqt4-dbg_4.9-1_i386.deb
  to main/p/python-qt4/python3-pyqt4-dbg_4.9-1_i386.deb
python3-pyqt4.phonon-dbg_4.9-1_i386.deb
  to main/p/python-qt4/python3-pyqt4.phonon-dbg_4.9-1_i386.deb
python3-pyqt4.phonon_4.9-1_i386.deb
  to main/p/python-qt4/python3-pyqt4.phonon_4.9-1_i386.deb
python3-pyqt4.qtsql-dbg_4.9-1_i386.deb
  to main/p/python-qt4/python3-pyqt4.qtsql-dbg_4.9-1_i386.deb
python3-pyqt4.qtsql_4.9-1_i386.deb
  to main/p/python-qt4/python3-pyqt4.qtsql_4.9-1_i386.deb
python3-pyqt4_4.9-1_i386.deb
  to main/p/python-qt4/python3-pyqt4_4.9-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 558389@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Kitterman <scott@kitterman.com> (supplier of updated python-qt4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Dec 2011 14:04:51 -0500
Source: python-qt4
Binary: python-qt4 python3-pyqt4 python-qt4-dbg python3-pyqt4-dbg python-qt4-phonon python3-pyqt4.phonon python-qt4-phonon-dbg python3-pyqt4.phonon-dbg python-qt4-dbus python-qt4-dbus-dbg python-qt4-gl python-qt4-gl-dbg python-qt4-sql python3-pyqt4.qtsql python-qt4-sql-dbg python3-pyqt4.qtsql-dbg python-qt4-dev python-qt4-doc pyqt4-dev-tools
Architecture: source i386 all
Version: 4.9-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Scott Kitterman <scott@kitterman.com>
Description: 
 pyqt4-dev-tools - Development tools for PyQt4
 python-qt4 - Python bindings for Qt4
 python-qt4-dbg - Python bindings for Qt4 (debug extensions)
 python-qt4-dbus - DBus Support for PyQt4
 python-qt4-dbus-dbg - DBus Support for PyQt4 (debug extensions)
 python-qt4-dev - Development files for PyQt4
 python-qt4-doc - Documentation and examples for PyQt4
 python-qt4-gl - Python bindings for Qt4's OpenGL module
 python-qt4-gl-dbg - Python bindings for Qt4's OpenGL module (debug extension)
 python-qt4-phonon - Python bindings for Phonon
 python-qt4-phonon-dbg - Python bindings for Phonon (debug extensions)
 python-qt4-sql - Python bindings for PyQt4's SQL module
 python-qt4-sql-dbg - Python bindings for PyQt4's SQL module (debug extension)
 python3-pyqt4 - Python3 bindings for Qt4
 python3-pyqt4-dbg - Python3 bindings for Qt4 (debug extensions)
 python3-pyqt4.phonon - Python3 bindings for Phonon
 python3-pyqt4.phonon-dbg - Python3 bindings for Phonon (debug extensions)
 python3-pyqt4.qtsql - Python3 bindings for PyQt4's SQL module
 python3-pyqt4.qtsql-dbg - Python3 bindings for PyQt4's SQL module (debug extension)
Closes: 558389 653293
Changes: 
 python-qt4 (4.9-1) unstable; urgency=low
 .
   * Team upload
 .
   [ Scott Kitterman ]
   * New upstream release (Closes: #653293)
     - Adds QtDbus module support (in python-qt4 - the existing python-qt4-dbus
       is still provided for python)
     - Add relevant QtDbus.so to python-qt4.install and python3-pyqt4.install
     - Update relevant package descriptionts to mention QtDBus
     - Bump minimum python-sip-dev and python3-sip-dev version required to
       4.13.1
     - Add Breaks for python[3]-sip4 (<< 4.13.1~)
     - Refreshed patches
   * Build for python3 (Closes: #558389) (LP: #400826)
     - Add python3-all-dev/dbg and python3-sip-dev/dbg to build-depends
     - Add python3-qt4-* packages
     - Add X-Python-Version to debian/rules
     - Adjust debian/rules and add install-arch-3.%: rule
     - Add .install files for new packages
     - Adjust .install files for python packages to install python2* and not
       python* files to avoid python3 files
   * Use --no-dbg-cleaning for dh_python2 and dh_python3
   * Fix debian/rules to remove empty directories
   * Drop obsolete Conflicts/Replaces
   * Update debian/copyright
 .
   [ Felix Geyer ]
   * Add build-arch/build-indep targets.
Checksums-Sha1: 
 d7a746e1240dc12334f57acac741d5ae70bd34db 2828 python-qt4_4.9-1.dsc
 0bd0b39abbc117e812863f37a63b7364904e754a 9741275 python-qt4_4.9.orig.tar.gz
 208271eafb713a70052bb7dc178537a8c0fd3582 19049 python-qt4_4.9-1.debian.tar.gz
 25d718cf861e720cf0521b10907d0ebce04ee4e2 5484296 python-qt4_4.9-1_i386.deb
 45c38387fbd4daea917b23fc2584d4741bfe77ac 2787164 python3-pyqt4_4.9-1_i386.deb
 5d1277639561161cb593d1ded721b7022cf19abe 8333880 python-qt4-dbg_4.9-1_i386.deb
 24974a7413eabc7614341cc8bcdf3ac69563c132 4139700 python3-pyqt4-dbg_4.9-1_i386.deb
 e0d04804be4ac9417a25d81a4ba20d816fa92b78 154638 python-qt4-phonon_4.9-1_i386.deb
 a069711aae76dfdbc48d2cbff359d9e2092dd705 108568 python3-pyqt4.phonon_4.9-1_i386.deb
 24c5fe621f13f2a3a6f10717105a9aa9d777cddc 212612 python-qt4-phonon-dbg_4.9-1_i386.deb
 d84031b12e1336e5bc3f8ab6de4d9f0df0c1cab9 115072 python3-pyqt4.phonon-dbg_4.9-1_i386.deb
 22dff9717e5739399ac7e71f0a0652c062e5aee0 29160 python-qt4-dbus_4.9-1_i386.deb
 93cf4dda23303982da3ecb7c5688b590fee742fa 15258 python-qt4-dbus-dbg_4.9-1_i386.deb
 64aeeb1cc00749de6b0984af8ef250ba36a5b807 123510 python-qt4-gl_4.9-1_i386.deb
 bdc06d8d69169e43c05afceeeefddc95870546f7 144016 python-qt4-gl-dbg_4.9-1_i386.deb
 f1f06f69e38960f5f37574699bfcc14686a700a7 136484 python-qt4-sql_4.9-1_i386.deb
 74bca6c0a3b6eb669c5177af4aec559f45de182b 96762 python3-pyqt4.qtsql_4.9-1_i386.deb
 7912901a14224ecf77435554e3afc91a37be5eca 154504 python-qt4-sql-dbg_4.9-1_i386.deb
 9863faa183fd3a5d2087c8faaec900e9fd3059fb 99122 python3-pyqt4.qtsql-dbg_4.9-1_i386.deb
 e667aa52eb09f5f512d921ff714104c74d347400 104524 pyqt4-dev-tools_4.9-1_i386.deb
 5e3c2f4f5bcf18ea0ef685cd24368b73ebc92a31 253244 python-qt4-dev_4.9-1_all.deb
 712d51bec7f24345700d8277fff6031598ca4707 8562572 python-qt4-doc_4.9-1_all.deb
Checksums-Sha256: 
 ecd74f1f7efc93672bd60629e80e9e1384d1176da6213c264e877cd54965711c 2828 python-qt4_4.9-1.dsc
 f9a806578f2b388d762438a39da3fc5a6ac109497b0b96fb49a7dd850cd08102 9741275 python-qt4_4.9.orig.tar.gz
 58680da508828ee52a6821c0bdc2cd24b6a5d16518ba1d356fa4bedbf729c3fc 19049 python-qt4_4.9-1.debian.tar.gz
 6b6fd53d54c504362a213db84cd5fbb52224c8ac6ad49530bd170f462a55651a 5484296 python-qt4_4.9-1_i386.deb
 1776c58a774a903762b0331bc90c59d4792cf990c5e978a8c0ebe8dd2f2fd1b6 2787164 python3-pyqt4_4.9-1_i386.deb
 23c30819e14604d7598b4bfbdc22bfa842f07c0f8a4183f38fff1e80fea135f0 8333880 python-qt4-dbg_4.9-1_i386.deb
 2f0a94ba70687bd7da6d30420e58250c5e20173dcff9b277999efa2b9e320873 4139700 python3-pyqt4-dbg_4.9-1_i386.deb
 3a88096198f662aeb1cc719650844b3221eabbb49046369ab53250806d810ab0 154638 python-qt4-phonon_4.9-1_i386.deb
 3265adbed9c81fe32f62f845285c649d9c60ec13681c6c424acb939a59c8932e 108568 python3-pyqt4.phonon_4.9-1_i386.deb
 2cf0b8e297a7d998f4714c2cd77ad4787d457633f7d3ada3c3e4c9bff9d24e53 212612 python-qt4-phonon-dbg_4.9-1_i386.deb
 d2321a405a3a833e37527bc015f426a8c698e6163b36c31285309bfa788746ca 115072 python3-pyqt4.phonon-dbg_4.9-1_i386.deb
 6754646cfc68da1f21a540073f9dd3914dd57f96b0a45ed44c6b04b5ac2d7135 29160 python-qt4-dbus_4.9-1_i386.deb
 43224ade72c1b1877ae93b954cd1efe3c6eba07dc86cf32b9e7a40eae73bd563 15258 python-qt4-dbus-dbg_4.9-1_i386.deb
 8fc8d4ed03129af484a9e4a1c5ada7243c8f33a03ba429e31d29260c8de52fa6 123510 python-qt4-gl_4.9-1_i386.deb
 9dead1c8b6bc2aa4106aa859264b1909db3e93d84595ddacf130c56073bd30a1 144016 python-qt4-gl-dbg_4.9-1_i386.deb
 bc39a1330a6edabd2c6195b8c55ae8f38b23ef8af24ad7f29f77bd5c7c15246e 136484 python-qt4-sql_4.9-1_i386.deb
 1671dc562dab9ad6255113b3b93799d6895a55e79ba930e0519e78915893575f 96762 python3-pyqt4.qtsql_4.9-1_i386.deb
 8087362373c6e1506715f5048f96e3e5d92f54e0016167b40f21a5f929290d67 154504 python-qt4-sql-dbg_4.9-1_i386.deb
 c40a7c772c4cf5d52678b1a7f88d2533f9ef332eb3cf0c77104d832e794280ab 99122 python3-pyqt4.qtsql-dbg_4.9-1_i386.deb
 e1602d36cb45f2aed7c7b6687abd3d8479b11f1b3185e7a9f2708b3e50de276d 104524 pyqt4-dev-tools_4.9-1_i386.deb
 c3dd5d2745a449280213d2232c301bd0dde8a95ba958796899b864dd8e3766bf 253244 python-qt4-dev_4.9-1_all.deb
 6c17d2c5b58fd54f695c632ea897cc34d6379cbf7d2ce5dca859e136c33b69cf 8562572 python-qt4-doc_4.9-1_all.deb
Files: 
 9117cb0d427d124b78288bf52a3b9868 2828 python optional python-qt4_4.9-1.dsc
 61619500d09d87b6c2a25bd3ea994504 9741275 python optional python-qt4_4.9.orig.tar.gz
 cf12b4d0556321400aa9d9b1f510c7d8 19049 python optional python-qt4_4.9-1.debian.tar.gz
 7af403c3d5f674cdb8f9f287f0f4b767 5484296 python optional python-qt4_4.9-1_i386.deb
 49648f06d324a515d503034d61f87cd8 2787164 python optional python3-pyqt4_4.9-1_i386.deb
 9f7ac62e8ba979a710b4ab77d37a9b01 8333880 debug extra python-qt4-dbg_4.9-1_i386.deb
 387cbe14569eb40aaf1ddc5bf1f688fd 4139700 debug extra python3-pyqt4-dbg_4.9-1_i386.deb
 494ad9c5833cd0d13476447181b84154 154638 python optional python-qt4-phonon_4.9-1_i386.deb
 b9c59f6b5821a3953e3449579feff31d 108568 python optional python3-pyqt4.phonon_4.9-1_i386.deb
 6687f61eb7430997300a4800a5872db4 212612 debug extra python-qt4-phonon-dbg_4.9-1_i386.deb
 9ddcadd070735c2be3622d9f41c9b892 115072 debug extra python3-pyqt4.phonon-dbg_4.9-1_i386.deb
 a4ac69a9edfb5771fb483833a9b20eeb 29160 python optional python-qt4-dbus_4.9-1_i386.deb
 369cf848032890f21328f8098c6f5624 15258 debug extra python-qt4-dbus-dbg_4.9-1_i386.deb
 df6059a04ef5f0b9160e5eeadfd9a93d 123510 python optional python-qt4-gl_4.9-1_i386.deb
 20e9a7c91cc9430d53480b0ed7c692cc 144016 debug extra python-qt4-gl-dbg_4.9-1_i386.deb
 48cade530e5a7e8427ee319bad407f47 136484 python optional python-qt4-sql_4.9-1_i386.deb
 2a490296aede3fe05f9e55007dc5adb6 96762 python optional python3-pyqt4.qtsql_4.9-1_i386.deb
 8a09157f45f1d87b837de4f21781230a 154504 debug extra python-qt4-sql-dbg_4.9-1_i386.deb
 2ec99eb3ee0c963a92f1511c76f9ddad 99122 debug extra python3-pyqt4.qtsql-dbg_4.9-1_i386.deb
 4bff13f108fa688a040722ab74e880ab 104524 python optional pyqt4-dev-tools_4.9-1_i386.deb
 4d7d0233b1541b03cb6a724142e88e8c 253244 python optional python-qt4-dev_4.9-1_all.deb
 2a4d3f5111cfd6aa61637785ae94abbe 8562572 doc optional python-qt4-doc_4.9-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk77nywACgkQHajaM93NaGpGdgCgmotOBLCGRRv5/0C1WI4R7g4R
5TYAniQSwzLFiB/hOpsqI0HbWJWJTb2S
=Toxe
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#558389; Package python-qt4. (Sat, 31 Dec 2011 11:30:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 31 Dec 2011 11:30:13 GMT) Full text and rfc822 format available.

Message #47 received at 558389@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 558389@bugs.debian.org
Subject: Package fails to install
Date: Sat, 31 Dec 2011 15:26:03 +0400
[Message part 1 (text/plain, inline)]
Trying to install python3-pyqt4, I get this error:

>>>>>>>>>>
Setting up python3-pyqt4 package (4.9-1ubuntu1~ppa1~oneiric1) ...
  File "/usr/lib/python3/dist-packages/PyQt4/uic/port_v2/invoke.py", line 41
    except IOError, e:
                  ^
SyntaxError: invalid syntax

  File "/usr/lib/python3/dist-packages/PyQt4/uic/port_v2/load_plugin.py",
line 41
    except Exception, e:
                    ^
SyntaxError: invalid syntax
<<<<<<<<<<

You should change such strings to "except Exception as e" — this will work
in both python2 and python3.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#558389; Package python-qt4. (Sat, 31 Dec 2011 16:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <sklist@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 31 Dec 2011 16:03:10 GMT) Full text and rfc822 format available.

Message #52 received at 558389@bugs.debian.org (full text, mbox):

From: Scott Kitterman <sklist@kitterman.com>
To: Dmitry Shachnev <mitya57@gmail.com>,558389@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#558389: Package fails to install
Date: Sat, 31 Dec 2011 10:36:15 -0500
Already fixed. Your PPA is out of date. If you have problems with an Ubuntu PPA, please deal with the PPA owner and not the Debian BTS.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#558389; Package python-qt4. (Mon, 02 Jan 2012 09:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 02 Jan 2012 09:54:06 GMT) Full text and rfc822 format available.

Message #57 received at 558389@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 558389@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#558389: Package fails to install
Date: Mon, 2 Jan 2012 13:50:56 +0400
Thanks, now everything works perfectly! If anyone is interested, I
made an updated package available in my ppa:mitya57/test1 ppa.

As retext package maintainer, I'm also interested in python-markdown
support for python3. Is that possible? A bug report is filed here:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=647094.

On Sat, Dec 31, 2011 at 7:36 PM, Scott Kitterman <sklist@kitterman.com> wrote:
> Already fixed. Your PPA is out of date. If you have problems with an Ubuntu PPA, please deal with the PPA owner and not the Debian BTS.

--
Dmitry Shachnev




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Feb 2012 07:43:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:04:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.